> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ravan.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Documents

> List Documents.

### Authorizations

<ParamField header="X-Api-Key" type="string" required>
  Your Agni API key used to authenticate the request. Pass it in the `X-Api-Key` header. Find or rotate it from your Ravan AI account settings.
</ParamField>

***

### Query Parameters

<ParamField query="org_id" type="string" required>
  The organization ID that owns the resource. Use the organization ID from your Agni account.
</ParamField>

<ParamField query="kb_id" type="string" required>
  The unique knowledge base ID. Use the ID returned by the knowledge base create or list endpoint.
</ParamField>

***

### Response

<ResponseField name="success" type="boolean">
  Whether the request succeeded.
</ResponseField>

<ResponseField name="message" type="string">
  Human-readable status message.
</ResponseField>

<ResponseField name="data" type="array">
  Array of document objects.
</ResponseField>


## OpenAPI

````yaml GET /api/v1/rag/documents
openapi: 3.0.1
info:
  title: Agni API
  version: 1.0.0
  description: >-
    Agni API for managing agents, tools, widget settings, telephony, and
    integrations.
servers:
  - url: https://api.ravan.ai
security:
  - X-Api-Key: []
tags:
  - name: AgentService
  - name: AgentToolService
  - name: WidgetSettingsService
  - name: PhoneService
  - name: AppointmentService
  - name: GHLService
  - name: CalComService
  - name: CampaignService
  - name: ContactService
  - name: CallingService
  - name: RAGService
  - name: ModelService
  - name: HealthService
paths:
  /api/v1/rag/documents:
    get:
      tags:
        - RAGService
      summary: List Documents
      operationId: ListRAGDocuments
      parameters:
        - name: org_id
          in: query
          required: true
          schema:
            type: string
          description: Organization ID
        - name: kb_id
          in: query
          required: true
          schema:
            type: string
          description: Knowledge Base ID
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListRAGDocumentsResponse'
components:
  schemas:
    ListRAGDocumentsResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/RAGDocument'
    RAGDocument:
      type: object
      properties:
        doc_id:
          type: string
          description: Document ID
        kb_id:
          type: string
          description: Knowledge Base ID
        org_id:
          type: string
          description: Organization ID
        text:
          type: string
          description: Document text content
        url:
          type: string
          description: Source URL
        status:
          type: string
          description: Document status
        metadata:
          type: object
          description: Document metadata
        created_at:
          type: string
          description: Creation timestamp
        updated_at:
          type: string
          description: Last update timestamp
  securitySchemes:
    X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key

````